ZIPL-EDITENV(8)

NAME
zipl-editenv - zIPL environment editor.

SYNOPSIS
zipl-editenv [OPTION] [ARGUMENT]

DESCRIPTION
zipl-editenv is a tool to manipulate with zIPL environment of partitions, prepared for initial program load (IPL) by zipl(8) utility. This tool performs atomic updates of boot data without modifying the boot record referencing that data. The following operations are supported:

-   Print environment

-   Assign a specified value to any environment variable

-   Remove a specified variable from the environment

-   Remove all variables from the environment

zIPL environment (don't confuse with shell environment!) is a set of variables with their values. All the variables are identified by their unique names. Names of zIPL environment variables have to satisfy POSIX requirements for shell environment variables (IEEE Std 1003.1-2001). That is, such names should consist solely of uppercase letters, digits, and the '_' (underscore) from the characters defined in Portable Character Set and should not begin with a digit. zIPL environment is defined per boot partition by a special boot component called zIPL environment block. This component is used for evaluation of variables in another boot component, kernel command line. zIPL environment variables can be used in kernel parameter string, where they should be specified by their names as ${NAME}. During boot, such variables are replaced with their current values, as defined by the installed environment. Maximum number of zIPL environment variables per boot partition is 512. zIPL environment is installed every time when preparing a device for initial program load (IPL) by zipl(8) utility. At installation time the environment by default is imported from user-editable file '/etc/ziplenv'. That default location can be overridden by respective zipl(8) option. Installed zIPL environment (AKA zIPL environment block) can be accessed (modified, printed) by this zipl-editenv(8) tool. All modifications made with this tool don't affect the file '/etc/ziplenv'. Hence, those modifications will be lost after the next boot record re-installation, unless '/etc/ziplenv' was updated respectively.

OPTIONS

-h or --help
    Print usage information, then exit.

-v or --version
    Print version information, then exit.

-t <TARGET DIRECTORY> or --target <TARGET DIRECTORY>
    Specify a directory, where the environment was installed. This directory should contain boot data (bootmap file). Default value is "/boot". A similar option with the same name exists also for zipl(8) utility.

-l or --list
    Print zIPL environment, that is a list of all zIPL environment variables with their current values.

-s <NAME=VALUE> or --set <NAME=VALUE>
    Assign value VALUE to the variable with name NAME. NAME has to satisfy the requirements above. VALUE may consist of any printable characters different from the new line symbol. If variable with such name didn't exist in the environment, then it will be added.

-u <NAME> or --unset <NAME>
    Remove the variable with name NAME from zIPL environment.

-r or --reset
    Remove all variables from zIPL environment.

FILES
/etc/ziplenv - "initial environment" (or "environment file"). A regular file containing zIPL environment to be installed every time when preparing a device for initial program load (IPL) by zipl(8) utility. Don't confuse environment file with environment block! In contrast with environment block, environment file is not a boot component and is not used at boot time by any boot processes. This file contains pairs NAME=VALUE delimited by new line symbols (i.e. each pair on a separate line). NAME is identified as a sequence of characters before the leftmost '=' in the line. NAME has to satisfy the requirements above. Lines beginning from "#" are ignored. Lines with not identified NAME are ignored. If lines contain identical names, then only the last one takes an effect. If the file defines more than 512 variables, or if the environment defined by that file doesn't fit to the environment block, then zipl(8) will fail to import such file. This file can be modified, using any suitable text editor.

NOTES
Any installed zIPL environment (environment block) should be accessed only by this zipl-editenv tool. Using other ways to access the environment block is not allowed.

SEE ALSO
zipl(8),
    zipl.conf(5)